%define subrel 2

Name: kipi-plugins
Version: 0.3.0
Release: %mkrel 0
Summary: KDE image Interface Plugins
License: GPLv2+
Group: System/Libraries
Source0: http://downloads.sourceforge.net/kipi/%{name}-%{version}.tar.bz2
Patch1:  kipi-plugins-0.2.0-enable-printimage.patch
Patch2:  kipi-plugins-0.3.0-t972401-fix-printwizard-crash.patch
URL: http://www.kipi-plugins.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Epoch: 1
Requires: mjpegtools 
Requires: vorbis-tools 
Requires: mpg123
Requires: imagemagick >= 5.5.4
BuildRequires: kde4-macros
BuildRequires: kdelibs4-devel
BuildRequires: libkipi-devel
BuildRequires: libgpod-devel
BuildRequires: kdegraphics4-devel
BuildRequires: tiff-devel 
BuildRequires: libMagick-devel 
BuildRequires: libxslt-devel
BuildRequires: libgphoto-devel 
BuildRequires: imlib2-devel 
BuildRequires: libxml2-utils
BuildRequires: libmesaglu-devel
BuildRequires: opencv-devel
BuildRequires: kdepimlibs4-devel
Obsoletes:     %{_lib}kipi-plugins0 < 1:0.2.0-0.824094.3

%description
 The library of the KDE Image Plugin Interface.  

 Libkipi allows image applications to use a plugin architecture 
 for additional functionality  such as: RawConverter, SlideShow, 
 MpegEncoder, ImagesGallery, PrintWizard, CdArchiving...

%files -f %name.lang
%defattr(-,root,root)
%doc README
%{_kde_bindir}/dngconverter
%{_kde_datadir}/applications/kde4/dngconverter.desktop
%{_kde_datadir}/apps/*
%{_kde_libdir}/kde4/kipiplugin_*
%{_kde_iconsdir}/*/*/*/*
%{_kde_datadir}/kde4/services/kipiplugin_*

#----------------------------------------------------------------------------

%define kipiplugins_major 1
%define lib_name %mklibname kipiplugins %kipiplugins_major

%package -n %lib_name
Summary:	Library files for %{name}
Group:		System/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Conflicts: %{_lib}kipi-plugins0

%description -n %lib_name
Library files for %{name}

%post -n %lib_name -p /sbin/ldconfig
%postun -n %lib_name -p /sbin/ldconfig

%files -n %lib_name
%defattr(-,root,root)
%{_kde_libdir}/libkipiplugins.so.%{kipiplugins_major}*

#----------------------------------------------------------------------------

%package devel
Summary: Development files for %{name}
Group: Development/C
Requires: %{lib_name} = %{epoch}:%{version}-%{release}
Obsoletes: %{_lib}kipi-plugins-devel < 1:0.2.0

%description devel
Development files for %{name}

%files devel
%defattr(-,root,root)
%{_kde_libdir}/*.so

#----------------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version} 
%patch2 -p0

%build
%cmake_kde4
%make

%install
rm -rf %buildroot
%makeinstall_std -C build

%find_lang %name --all-name

%clean
rm -rf %buildroot




%changelog
* Tue May 26 2009 Nicolas Lécureuil <neoclust@mandriva.org> 1:0.3.0-0.2mdv2009.1
+ Revision: 379860
- Fix a crash in printwizard
- Bugfix release 0.3

* Tue Mar 17 2009 Nicolas Lécureuil <neoclust@mandriva.org> 1:0.2.0-2mdv2009.1
+ Revision: 356335
- Update to 0.2.0 final

* Mon Feb 16 2009 Nicolas Lécureuil <neoclust@mandriva.org> 1:0.2.0-1.rc2.2mdv2009.1
+ Revision: 340870
- Enable printimage

* Mon Feb 16 2009 Nicolas Lécureuil <neoclust@mandriva.org> 1:0.2.0-1.rc2.1mdv2009.1
+ Revision: 340831
- Update to Rc2
  Add build patch from Angelo

* Fri Jan 23 2009 Götz Waschk <waschk@mandriva.org> 1:0.2.0-1.rc1.1mdv2009.1
+ Revision: 332830
- new version
- fix build with new libgpod

* Tue Jan 13 2009 Funda Wang <fundawang@mandriva.org> 1:0.2.0-1.beta6.1mdv2009.1
+ Revision: 328997
- 0.2.0 beta6

* Wed Dec 17 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:0.2.0-1.beta5.3mdv2009.1
+ Revision: 315386
- Update  to beta5

* Mon Dec 15 2008 Adam Williamson <awilliamson@mandriva.org> 1:0.2.0-1.beta4.3mdv2009.1
+ Revision: 314456
- obsolete old kipi-plugins-devel, don't conflict with it: there's no need
  to keep it around

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Fri Nov 28 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:0.2.0-1.beta4.2mdv2009.1
+ Revision: 307512
- Update to beta4

* Sun Nov 23 2008 Funda Wang <fundawang@mandriva.org> 1:0.2.0-1.beta3.2mdv2009.1
+ Revision: 305987
- use --all-names to find the locale files

* Wed Nov 05 2008 Angelo Naselli <anaselli@mandriva.org> 1:0.2.0-1.beta3.1mdv2009.1
+ Revision: 300087
- new release 0.2.0-beta1

* Sun Sep 28 2008 Anssi Hannula <anssi@mandriva.org> 1:0.2.0-1.beta1.4mdv2009.0
+ Revision: 289021
- fix versioned obsoletes

* Sun Sep 21 2008 Angelo Naselli <anaselli@mandriva.org> 1:0.2.0-1.beta1.3mdv2009.0
+ Revision: 286414
- 0.2.0 beta1

  + Funda Wang <fundawang@mandriva.org>
    - conflict with old devel package name

* Sun Aug 17 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:0.2.0-0.824094.3mdv2009.0
+ Revision: 273109
- Obsoletes old libkipi-plugins0

* Wed Jun 25 2008 Helio Chissini de Castro <helio@mandriva.com> 1:0.2.0-0.824094.2mdv2009.0
+ Revision: 229134
- Added obsoletes for wrong named library

* Wed Jun 25 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:0.2.0-0.824094.1mdv2009.0
+ Revision: 228870
- Make sure major is correct

  + Helio Chissini de Castro <helio@mandriva.com>
    - Fixed file list and library soname


* Sun Mar 04 2007 Angelo Naselli <anaselli@mandriva.org> 0.1.3-2mdv2007.0
+ Revision: 132342
- rebuilt for new libexiv2

* Wed Jan 24 2007 Angelo Naselli <anaselli@mandriva.org> 1:0.1.3-1mdv2007.1
+ Revision: 113059
- 0.1.3 final

* Sun Jan 14 2007 Angelo Naselli <anaselli@mandriva.org> 1:0.1.3-0.rc1.5mdv2007.1
+ Revision: 108954
- Bug #28154

* Thu Dec 28 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.3-0.rc1.4mdv2007.1
+ Revision: 102417
- forgot to change version
- Epoch was in a wrong position

* Thu Dec 28 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.3-0.rc1.3mdv2007.1
+ Revision: 102251
- I should read careful mkrel value next time site URL updated

* Thu Dec 28 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.3-0.rc1.2mdv2007.1
+ Revision: 102179
- New version

* Sat Dec 09 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.3-0.beta1.2mdv2007.1
+ Revision: 93901
- added patch to fix new libgphoto changes,
  fixed spec file
- patch provided by Colin Guthrie (fix bug# 27502

* Mon Dec 04 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.3-0.beta1.1mdv2007.1
+ Revision: 90575
- New version 0.1.3-beta1 \ndisable ipod export
- Import kipi-plugins

* Mon Sep 18 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.2-4mdv2007.0
- Fix bug# 25805

* Sat Sep 09 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.2-3mdv2007.0
- Rebuilt

* Sat Aug 05 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.2-2mdv2007.0
- Rebuilt

* Tue Jul 11 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.2-1mdv2007.0
- New release 0.1.2

* Fri Jun 30 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.1-1mdv2007.0
- New release 0.1.1

* Mon Jun 26 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.0-1mdv2007.0
- new release

* Sun Jun 18 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.0-0.rc2.2mdv2007.0
- fix download url and Mesa dependency

* Mon May 08 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.0-0.rc2.1mdk
- new release

* Sat Feb 25 2006 Angelo Naselli <anaselli@mandriva.org> 0.1.0-0.rc1.4mdk
- fix Bug# 17555: if you have problems and you have Athlon CPU please follow
  bug# 18242

* Sun Jan 08 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.0-0.rc1.3mdk
- backport from svn of admin to allow recompiling under kde 3.5
  that should fix bug 20485

* Thu Dec 15 2005 Till Kamppeter <till@mandriva.com> 1:0.1.0-0.rc1.2mdk
- Printing out of the print wizard required unreasonably much memory,
  so that it took either more than half an hour per picture or the
  CUPS filtering process crashed. Fixed with patch from
  http://mail.kde.org/pipermail/digikam-devel/2005-December/002495.html
  (patch 0).
- Fixed compilation with QT 3.3.5 (patch 1, Laurent).

* Sun Oct 02 2005 Angelo Naselli <anaselli@mandriva.org> 1:0.1.0-0.rc1.1mdk
- new release

* Sat Sep 24 2005 Götz Waschk <waschk@mandriva.org> 1:0.1.0-0.beta2.11mdk
- fix deps

* Sun Sep 11 2005 Angelo Naselli <anaselli@mandriva.org> 1:0.1.0-0.beta2.10mdk
- avoid it for backport

* Sun Sep 11 2005 Angelo Naselli <anaselli@mandriva.org> 1:0.1.0-0.beta2.9mdk
- better implementation to fix mdk #16504 (removed awful script file)

* Tue Aug 30 2005 Angelo Naselli <anaselli@mandriva.org> 1:0.1.0-0.beta2.8mdk
- really fix mdk #16504 (added my own pacth #2 and a a script file)

* Wed Aug 24 2005 Angelo Naselli <anaselli@mandriva.org> 0.1.0-0.beta2. 7
- Added patch2: fix mdk #16504 (k3b --nofork)

* Tue Aug 16 2005 Laurent MONTEL <lmontel@mandriva.com> 0.1.0-0.beta2. 6
- Add patch1: fix mdk #17556 (patch from svn last changes)

* Thu Aug 11 2005 Angelo Naselli <anaselli@mandriva.org> 1:0.1.0-0.beta2.5mdk
- build po files missed fix bug #17436

* Mon Jul 11 2005 Angelo Naselli <anaselli@mandriva.org> 1:0.1.0-0.beta2.4mdk
- aligned rawconverter from svn to fix Mandriva bug #15286

* Wed Mar 09 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.1-0.beta2.3mdk
- fix build on lib64 platforms

* Mon Feb 14 2005 Angelo Naselli <anaselli@mandrake.org> 0.1-0.beta2.2mdk
- DistroSpecificReleaseTag support

* Tue Feb 08 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1-0.beta2.1mdk
- beta2

* Sun Dec 26 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.1-0.beta1.5mdk
- add BuildRequires: libgphoto-devel imlib2-devel libMesaGLU-devel libxml2-utils

* Sat Dec 25 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.1-0.beta1.4mdk
- fix buildrequires

* Tue Dec 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1-0.beta1.3mdk
- Rebuild with libkexif

* Fri Dec 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1-0.beta1.2mdk
- Fix spec file

* Sun Oct 17 2004 Angelo Naselli <anaselli@mandrake.org> 0.1-0.beta1.1mdk
- new version

* Tue Sep 21 2004 Angelo Naselli <anaselli@mandrake.org> 20040919-1mdk
- new version (gwenview snapshot)

* Thu Sep 09 2004 Angelo Naselli <anaselli@mandrake.org> 20040801-3mdk
- changed the URL with the official one

* Wed Aug 25 2004 Angelo Naselli <anaselli@mandrake.org> 20040801-2mdk
- changed description

* Wed Aug 25 2004 Angelo Naselli <anaselli@mandrake.org> 20040801-1mdk
- built mdk version

* Sun Jun 13 2004 Angelo Naselli <random_lx@yahoo.com> 20040611-1mdk
- built mdk version

* Tue May 11 2004 Angelo Naselli <random_lx@yahoo.com> 20040509-1mdk
- built mdk version

